"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const log_1 = require("../logger/log");
const apiClient_1 = require("../cpapi/apiClient");
let logger = log_1.default('addAccessRule');
function addAccessRule() {
    let apiClient = new apiClient_1.default({ server: '172.23.78.75' });
    let promise = apiClient.login({ username: '****', password: '****' })
        .then(response => {
        logger.info('Hey! we managed to login :) Now trying to add the access-rule.');
        return apiClient.apiCall('add-access-rule', { name: 'rule1', position: 'top', layer: 'Network' });
    }).then(response => {
        return apiClient.publish();
    }).then(response => {
        return apiClient.logout();
    });
}
addAccessRule();
//# sourceMappingURL=addAccessRule.js.map