"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const log_1 = require("../logger/log");
const apiClient_1 = require("../cpapi/apiClient");
let logger = log_1.default('addHostIfNotExist');
function addHostIfNotExist() {
    let apiClient = new apiClient_1.default({ server: '172.23.78.75' });
    let promise = apiClient.login({ username: '****', password: '****' })
        .then(response => {
        return apiClient.apiCall('show-host', { name: 'host1' })
            .catch(err => {
            return apiClient.apiCall('add-host', { name: 'host1', 'ip-address': '1.2.3.4' })
                .then(response => {
                return apiClient.publish();
            });
        });
    }).then(response => {
        return apiClient.logout();
    });
}
addHostIfNotExist();
//# sourceMappingURL=addHostIfNotExist.js.map