declare enum ItpLogLevel {
    Trace = 0,
    Debug = 1,
    Info = 2,
    Warn = 3,
    Error = 4,
    Fatal = 5
}
declare class log {
    private static readonly rootCategory;
    private static readonly currentIterationId;
    private static readonly defaultConfig;
    private static readonly customConfig;
    private readonly category;
    static init(): void;
    constructor(component: string);
    trace(message: string): void;
    debug(message: string): void;
    info(message: string): void;
    warn(message: string): void;
    error(message: string, error?: Error): void;
    fatal(message: string, error?: Error): void;
    getLogLevel(): ItpLogLevel;
}
export default function getLogger(componentName: string): log;
export {};
